3 Replies Latest reply: Feb 17, 2014 7:53 PM by user9146549 RSS

    phpMyAdmin installation issue on OL6

    user9146549

      Hi,

       

      I have installed a LAMP stack on my OL6 and everything seems to be ok. Now I would like to install phpMyAdmin and I can't.

      Here is what I get when trying out,

       

      Packages skipped because of dependency problems:

          php-gd-5.3.3-27.el6_5.i686 from public_ol6_latest

          php-mbstring-5.3.3-27.el6_5.i686 from public_ol6_latest

          php-mcrypt-5.3.3-3.el6.i686 from epel

          php-php-gettext-1.0.11-3.el6.noarch from epel

          phpMyAdmin-3.5.8.2-1.el6.noarch from epel

       

      If I type 'yum repolist all' on a terminal here is that list,

      repo id                       repo name                  status
      epel                          Extra Packages for Enterprise  enabled:  8.440
      epel-debuginfo                Extra Packages for Enterprise  disabled
      epel-source                   Extra Packages for Enterprise  disabled
      epel-testing                  Extra Packages for Enterprise  disabled
      epel-testing-debuginfo        Extra Packages for Enterprise  disabled
      epel-testing-source           Extra Packages for Enterprise  disabled
      mysql-connectors-community    MySQL Connectors Community enabled:  3

      mysql-connectors-community-source MySQL Connectors Community - S disabled

      mysql-tools-community         MySQL Tools Community      enabled:  2
      mysql-tools-community-source  MySQL Tools Community - Source disabled
      mysql55-community             MySQL 5.5 Community Server disabled
      mysql55-community-source      MySQL 5.5 Community Server - S disabled
      mysql56-community             MySQL 5.6 Community Server enabled: 10
      mysql56-community-source      MySQL 5.6 Community Server - S disabled
      mysql57-community-dmr         MySQL 5.7 Community Server Dev disabled
      mysql57-community-dmr-source  MySQL 5.7 Community Server Dev disabled
      public_ol6_UEKR3_latest       Unbreakable Enterprise Kernel  disabled
      public_ol6_UEK_base           Unbreakable Enterprise Kernel  enabled: 43
      public_ol6_UEK_latest         Latest Unbreakable Enterprise  enabled:267
      public_ol6_ga_base            Oracle Linux 6Server GA instal enabled:  6.532
      public_ol6_latest             Oracle Linux 6Server Latest (i enabled: 19.657
      public_ol6_u1_base            Oracle Linux 6Server Update 1  enabled:  6.684
      public_ol6_u2_base            Oracle Linux 6Server Update 2  enabled:  6.845
      public_ol6_u3_base            Oracle Linux 6Server Update 3  enabled:  6.893
      public_ol6_u4_base            Oracle Linux 6Server Update 4  enabled:  6.806
      public_ol6_u5_base            Oracle Linux 6Server Update 5  enabled:  6.963
      remi                          Les RPM de remi pour Enterpris disabled
      remi-debuginfo                Les RPM de remi pour Enterpris disabled
      remi-php55                    Les RPM de remi de PHP 5.5 pou disabled
      remi-php55-debuginfo          Les RPM de remi de PHP 5.5 pou disabled
      remi-test                     Les RPM de remi en test pour E disabled
      remi-test-debuginfo          

      Les RPM de remi en test pour E disabled

       

      I am not sure if that is because of the disabled repos and in case of it

      how could I enable them?

       

      Kind regards

       

      Thanks

      jose

        • 1. Re: phpMyAdmin installation issue on OL6
          user9146549

          Hi,

           

          If I type 'wget http://download.fedoraproject.org/pub/epel/6/i386/epel-release-6-8.repo' in a terminal as root

          here is what I get,

           

          --2014-01-07 01:34:54--  http://download.fedoraproject.org/pub/epel/6/i386/epel-release-6-8.repo

          Resolving download.fedoraproject.org... 80.239.156.215, 85.236.55.6, 209.132.181.16, ...

          Connecting to download.fedoraproject.org|80.239.156.215|:80... connected.

          Request HTTP send, waiting for response... 302 FOUND

          Localization: http://ftp.rediris.es/mirror/fedora-epel/6/i386/epel-release-6-8.repo [following]

          --2014-01-07 01:34:55--  http://ftp.rediris.es/mirror/fedora-epel/6/i386/epel-release-6-8.repo

          Resolving ftp.rediris.es... 130.206.1.5

          Connecting to ftp.rediris.es|130.206.1.5|:80... connected.

          Request HTTP send, waiting for response... 404 Not Found

          2014-01-07 01:34:56 ERROR 404: Not Found.

           

          I have been trying all along the day this and always get the same issue so I went to RedIRIS

          and I have found out they are migrating their hardware so the service will not work temporally.

           

           

          I am a spanish (Europe - Spain) customer of Oracle and RedIRIS is our academic network so

          I will be waiting until RedIRIS start to work again.

           

          Regards,

           

          Thanks,

          Jose

           

          Mensaje editado por: user9146549

          • 2. Re: phpMyAdmin installation issue on OL6
            user9146549

            Hi,

             

            I could install EPEL repos and enable all of them. My last trying to install phpMyAdmin is,

             

            yum --enablerepo=epel install phpmyadmin -y --skip-broken

             

            and this is what I get,

             

            Loaded plugins: refresh-packagekit, security

            epel/metalink                                        |  21 kB     00:00    

            epel                                                     | 4.2 kB     00:00    

            epel/primary_db                                    | 4.8 MB     00:17    

             

            Setting up Install Process

            Resolving Dependencies

            --> Running transaction check

            ---> Package phpMyAdmin.noarch 0:3.5.8.2-1.el6 will be installed

            --> Processing Dependency: php-mcrypt >= 5.2.0 for package: phpMyAdmin-3.5.8.2-1.el6.noarch

            --> Processing Dependency: php-mbstring >= 5.2.0 for package: phpMyAdmin-3.5.8.2-1.el6.noarch

            --> Processing Dependency: php-gd >= 5.2.0 for package: phpMyAdmin-3.5.8.2-1.el6.noarch

            --> Processing Dependency: php-php-gettext for package: phpMyAdmin-3.5.8.2-1.el6.noarch

            --> Running transaction check

            ---> Package php-mcrypt.i686 0:5.3.3-3.el6 will be installed

            --> Processing Dependency: php(zend-abi) = 20090626 for package: php-mcrypt-5.3.3-3.el6.i686

            --> Processing Dependency: php(api) = 20090626 for package: php-mcrypt-5.3.3-3.el6.i686

            ---> Package php-php-gettext.noarch 0:1.0.11-3.el6 will be installed

            --> Processing Dependency: php-mbstring for package: php-php-gettext-1.0.11-3.el6.noarch

            ---> Package phpMyAdmin.noarch 0:3.5.8.2-1.el6 will be installed

            --> Processing Dependency: php-mbstring >= 5.2.0 for package: phpMyAdmin-3.5.8.2-1.el6.noarch

            --> Processing Dependency: php-gd >= 5.2.0 for package: phpMyAdmin-3.5.8.2-1.el6.noarch

             

             

            Packages skipped because of dependency problems:

                php-mcrypt-5.3.3-3.el6.i686 from epel

                php-php-gettext-1.0.11-3.el6.noarch from epel

                phpMyAdmin-3.5.8.2-1.el6.noarch from epel

             

             

            Please help!

             

            Kind regards,

             

            Thanks,

            jose

            • 3. Re: phpMyAdmin installation issue on OL6
              user9146549

              Hi,

               

              At the end I could install phpMyAdmin. Because an issue in linux OS

              I had to reinstall it and everything went ok

               

              Kind regards,

              Jose